Отказ в обслуживании в OpenVPN

Дата публикации:
02.12.2014
Дата изменения:
02.12.2014
Всего просмотров:
1117
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
(AV:N/AC:M/Au:S/C:N/I:N/A:C/E:U/RL:O/RC:C) = Base:6.3/Temporal:4.7
CVE ID:
CVE-2014-8104
Вектор эксплуатации:
Удаленная
Воздействие:
Отказ в обслуживании
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
OpenVPN 2.x
Уязвимые версии:
OpenVPN версии до 2.3.6

Описание:

Уязвимость позволяет удаленному пользователю вызвать отказ в обслуживании.

Уязвимость существует из-за ошибки при обработке определенных пакетов. Удаленный пользователь может с помощью слишком короткого пакета control channel аварийно завершить работу сервера.

Примечание: Для успешной эксплуатации уязвимости необходимо, чтобы отсылающий пакет клиент прошел процедуру TLS аутентификации.


URL производителя: https://community.openvpn.net/

Решение: Установите последнюю версию 2.3.6 с сайта производителя.

Ссылки: https://community.openvpn.net/openvpn/wiki/SecurityAnnouncement-97597e732b